/*-----HOME HERO STARTS HERE-----------*/
.home-hero {
  padding-bottom: 50px;
  display: flex;
  align-items: flex-end;
  isolation: isolate;
}
@media (max-width: 1024px) {
  .home-hero {
    padding-bottom: 0;
  }
}

@media (max-width: 464px) {
  .home-hero {
    min-height: 740px !important;
  }
}
@media (min-width: 1650px) {
  .home-hero {
    align-items: center;
    padding-top: 300px;
    min-height: 1187px !important;
  }
}

.home-hero .container {
  position: relative;
}
.home-hero .container::after {
  content: "";
  position: absolute;
  width: 95px;
  height: 95px;
  top: -188px;
  right: 0;
  background-color: var(--wp--preset--color--tsa-orange);
  border-radius: 50%;
  z-index: -1;
}

@media (max-width: 992px) {
  .home-hero .container::after {
    top: -70px !important;
    right: 0 !important;
    width: 55px;
    height: 55px;
  }
}
@media (min-width: 992px) and (max-width: 1360px) {
  .home-hero .container::after {
    top: 0 !important;
    right: 30%;
  }
}
@media (max-width: 1600px) {
  .home-hero .container::after {
    top: 0;
    right: 30%;
  }
}

/* Rearrange the row on width < 464px */
@media (max-width: 464px) {
  .home-hero .container .row {
    flex-direction: column-reverse !important;
  }
}

/* Hero social handles */
.home-hero .container .row ul {
  flex-direction: column !important;
  gap: 66.17px;
}

@media (max-width: 464px) {
  .home-hero .container .row ul {
    display: none;
    flex-direction: row !important;
    justify-content: space-between;
    width: 100%;
    gap: 1rem;
  }
}

@media (min-width: 1650px) {
  .home-hero .container .row {
    align-items: flex-start !important;
  }
}

.home-hero .container .row ul li {
  background: #00000099 !important;
}

.home-hero .container .row ul li a svg {
  fill: var(--wp--preset--color--tsa-white);
}

.home-hero .container .row .right {
  width: 100%;
  max-width: 600px;
}

/* Hero Headings */
.home-hero .container .row .right .heading h1 {
  font-size: 6rem;
  font-weight: 400;
  line-height: 0.5;
  margin-bottom: 0 !important;
  padding: 0 !important;
  line-height: 0.7 !important;
}
.home-hero .container .row .right .heading .more {
  font-size: 12.5rem;
  color: var(--wp--preset--color--tsa-blue);
  margin-right: -1rem !important;
}

.home-hero .container .right .heading p {
  margin-top: 1rem;
  font-weight: 400;
}
@media (max-width: 1360px) {
  .home-hero .container .row .right .heading h1 {
    font-size: 3rem;
  }
  .home-hero .container .row .right .heading .more {
    font-size: 6.5rem !important;
    margin-right: 0 !important;
  }
}

.home-hero .container .right .description {
  margin-top: 30px;
}

.home-hero .container .right .wp-block-buttons {
  margin-top: 30px;
}

@media (width <= 1024px) {
  .home-hero {
    padding-bottom: 40px;
  }
  .home-hero .container .row .right {
    text-align: center;
  }
  .home-hero .container .row .right .heading h1 {
    font-size: 3.25rem;
  }
  .home-hero .container .right .heading p {
    font-size: 1.5rem !important;
  }
  .home-hero .container .row .right .heading .more {
    font-size: 6.5rem !important;
  }
}

/* Below Hero */
.below-hero {
  display: flex;
  align-items: center;
}
.below-hero .container .row {
  justify-content: space-between !important;
  gap: 3rem;
}

.below-hero .container .row .heading {
  flex-basis: 30%;
  width: 100%;
  max-width: 377px;
  height: 88px;
  font-size: 2.5rem;
  line-height: 1.1;
  color: var(--wp--preset--color--tsa-white);
}
.below-hero .container .row .wp-block-columns {
  flex-basis: 80%;
}

@media (width <= 1360px) {
  .below-hero .container .row {
    padding: 1rem 0;
    flex-direction: column;
    align-items: flex-start;
    gap: 2rem;
  }
  .below-hero .container .row .heading {
    font-size: 2.5rem;
  }
  .below-hero .container .row .wp-block-columns {
    width: 100%;
    overflow: auto;
    justify-content: flex-start;
    -ms-overflow-style: none;
    scrollbar-width: none;
  }

  .below-hero .container .row .wp-block-columns::-webkit-scrollbar {
    display: none;
  }

  .below-hero .container .row .wp-block-column {
    flex-basis: 100%;
    flex-grow: 1 !important;
    min-width: fit-content;
  }

  .below-hero .container .row .wp-block-column p {
    text-align: center;
    font-size: 1.5rem !important;
    padding-left: 0 !important;
    white-space: nowrap;
    font-family: var(--wp--preset--font-family--aceh) !important;
  }
}

@media (min-width: 1650px) {
  .below-hero .container .row .wp-block-columns {
    flex-basis: 65%;
  }
}
.below-hero .container .row .wp-block-columns .wp-block-column {
  width: 220px;
}

.below-hero
  .container
  .row
  .wp-block-columns
  .wp-block-column:not(:last-child) {
  border-right: 1px solid var(--wp--preset--color--tsa-white);
}
.below-hero .container .row .wp-block-columns .wp-block-column p {
  font-size: 2rem;
  padding-right: 16px;
  padding-left: 16px;
  word-break: keep-all;
  font-family: var(--wp--preset--font-family--aceh) !important;

  /* white-space: nowrap; */
}

/*------- VIDEO BLOCK ---------------*/
@media (max-width: 640px) {
  .video-block {
    min-height: 400px !important;
    padding-top: 35px !important;
    padding-bottom: 35px !important;
    display: flex;
    align-items: center;
  }
}
.video-block .container figure {
  width: 100%;
  max-width: 1069px;
  margin: 0 auto;
  min-height: 524px;
  border-radius: 50px;
  overflow: hidden;
}

@media (width <= 767px) {
  .video-block .container figure {
    min-height: 0px;
  }
}

@media (min-width: 1650px) {
  .video-block .container figure {
    max-width: 90%;
    min-height: 680px;
  }
}
.video-block .container figure video {
  width: 100%;
  height: 100%;
}

/* WHAT WE DO */

.what-we-do {
  display: flex;
  align-items: center;
}

@media (max-width: 640px) {
  .what-we-do {
    min-height: 480px !important;
  }

  .what-we-do h2:not(.font-128) {
    margin-top: 0 !important;
  }
}

@media (width <= 1024px) {
  .what-we-do {
    padding-top: 50px !important;
    padding-bottom: 50px !important;
  }

  .what-we-do h2.font-128 {
    margin-top: 0 !important;
    margin-bottom: -1rem !important;
  }
}

.what-we-do > p {
  width: 100%;
  max-width: 60%;
  margin: 0 auto;
}

@media (min-width: 1650px) {
  .what-we-do {
    min-height: 960px !important;
  }
}

.what-we-do .container .wp-block-columns .left .heading h2 {
  line-height: 0.75 !important;
  margin-left: 0 !important;
}

@media (width <= 840px) {
  .what-we-do .container .wp-block-columns .left {
    border: none;
  }

  .what-we-do .container .wp-block-columns .wp-block-column:nth-child(2) {
    display: none;
  }
  .what-we-do .container .wp-block-columns .wp-block-column {
    padding-right: 0 !important;
  }
  .what-we-do .container .wp-block-columns .wp-block-column ul {
    margin-left: 1rem !important;
  }
}

@media (width <= 1300px) {
  .what-we-do .container .wp-block-columns .wp-block-column ul li {
    font-size: 2rem;
  }
}

/* WHAT WE DO BEST */
.what-we-do-best {
  display: flex;
  align-items: center;
}

@media (width <= 1024px) {
  .what-we-do-best {
    min-height: 600px !important;
    padding: 50px 16px 50px 16px !important;
  }
  .what-we-do-best .container .heading {
    text-align: center !important;
  }
  .what-we-do-best .container .heading h2 {
    font-size: 2.5rem !important;
    line-height: 1.2;
  }
}

@media (min-width: 1650px) {
  .what-we-do-best {
    min-height: 980px !important;
  }
}
.what-we-do-best .container .heading {
  width: 100%;
  margin-left: auto;
  text-align: right;
}
.what-we-do-best .container .heading h2 {
  width: 100%;
}

.what-we-do-best .container .wp-block-columns {
  margin: 59px 0 !important;
  gap: 16px !important;
  width: 100% !important;
  display: flex !important;
  flex-direction: row !important;
  flex-wrap: nowrap !important;
  justify-content: flex-start;
  overflow: auto;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.what-we-do-best .container .wp-block-columns::-webkit-scrollbar {
  display: none;
}

.what-we-do-best .container .wp-block-columns .wp-block-column {
  flex-grow: 0 !important;
  flex-shrink: 0 !important;
  max-width: 201px;
  max-height: 271px;
  flex-grow: 1 !important;
  padding: 73px 57px 40px 56px;
  border-radius: var(--tsa-border);
  background-color: #f5f5f5;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

@media (width <= 840px) {
  .what-we-do-best .container .wp-block-columns .wp-block-column {
    max-width: 185px;
  }

  .what-we-do-best .container .wp-block-columns .wp-block-column p {
    font-size: 1.25rem !important;
  }
}

.what-we-do-best .is-style-button-secondary {
  border-color: var(--wp--preset--color--tsa-white);
}

.what-we-do-best .is-style-button-secondary .wp-block-button__link {
  color: var(--wp--preset--color--tsa-white) !important;
}

/* OUR APPROACH */
.our-approach .heading h2 {
  margin-left: 0 !important;
}
.our-approach .our-approach__images {
  width: 100%;
  margin-top: 54px;
  overflow: auto;
  justify-content: flex-start;
  -ms-overflow-style: none;
  scrollbar-width: none;
}
.our-approach .our-approach__images::-webkit-scrollbar {
  display: none;
}

.our-approach__images figure {
  flex-shrink: 0 !important;
  width: 300px;
}

.our-approach .our-appraoch-below-image-description {
  width: 100%;
  max-width: 738px;
}

@media (width <= 840px) {
  .our-approach {
    padding-top: 50px !important;
    padding-bottom: 50px !important;
  }
  .our-approach .wp-block-columns .wp-block-column {
    border: none !important;
    padding-right: 0 !important;
  }
  .our-approach .wp-block-columns .wp-block-column:nth-child(2) h2 {
    line-height: 1.5 !important;
    margin: 0 !important;
  }
  .our-approach p {
    font-size: 1.25rem !important;
  }
  .our-approach__images {
    gap: 1rem !important;
  }

  .our-approach__images figure {
    width: 100%;
    height: 100px;
  }
  .our-approach__images figure img {
    width: 100% !important;
    height: 100% !important;
  }
}

/* TESTIMONIAL */
.testimonial .heading h2 {
  margin-left: 0 !important;
}

/* WHY TSA */
.why-tsa .heading h2 {
  margin-left: 0 !important;
}

/* TSA AGENT */
.tsa-agent .heading h2 {
  margin-left: 0 !important;
}

.tsa-agent-col .wp-block-columns {
  width: 100%;
  max-width: 80%;
  margin: 0 auto;
}

.tsa-agent-col .wp-block-columns h2 {
  margin-bottom: 0 !important;
}

@media (width <= 840px) {
  .tsa-agent-col .wp-block-columns {
    max-width: 100%;
  }
  .tsa-agent-col .wp-block-columns .wp-block-column {
    border: none;
  }
  .tsa-agent-col .wp-block-columns .wp-block-column:nth-child(2) {
    padding-left: 0 !important;
    margin-top: 2rem;
  }
}
